# Copyright 2013 Canek Peláez
# Distributed under the terms of the GNU General Public License v2

EAPI="7"

VALA_MIN_API_VERSION=${VALA_MIN_API_VERSION:-0.50}
VALA_MAX_API_VERSION=${VALA_MAX_API_VERSION:-0.56}

inherit git-r3 gnome2-utils meson vala

DESCRIPTION="A GObject API for manipulating XML"
HOMEPAGE="https://wiki.gnome.org/GXml"
EGIT_REPO_URI="https://gitlab.gnome.org/GNOME/gxml.git"
EGIT_BRANCH="master"

LICENSE="GPL-2.1"
SLOT="0"
IUSE=""
KEYWORDS="~amd64 ~x86"

RDEPEND="
	>=dev-libs/glib-2.38:2
	>=dev-libs/libxml2-2:2
	>=dev-libs/libgee-0.20:0.8/2
"
DEPEND="
	${RDEPEND}
	$(vala_depend)
"

src_prepare() {
	default
	vala_src_prepare
}

src_configure() {
	meson_src_configure
}

src_install() {
	meson_src_install
}
