# Copyright 2023 Canek Peláez
# Distributed under the terms of the GNU General Public License v2

EAPI="8"

VALA_MIN_API_VERSION=${VALA_MIN_API_VERSION:-0.50}
VALA_MAX_API_VERSION=${VALA_MAX_API_VERSION:-0.56}

inherit git-r3 meson vala

DESCRIPTION="Vala Language Server"
HOMEPAGE="https://github.com/vala-lang/vala-language-server"
EGIT_REPO_URI="https://github.com/vala-lang/vala-language-server.git"

LICENSE="LGPL-2.1"
SLOT="0"
IUSE="doc plugins"
KEYWORDS="~amd64 ~x86"

RDEPEND="
	>=dev-lang/vala-0.48
	>=dev-libs/glib-2.48
	dev-libs/libgee
	dev-libs/json-glib
	dev-libs/jsonrpc-glib
	doc? ( app-text/scdoc )
"
DEPEND="${RDEPEND}
	$(vala_depend)
"

src_prepare() {
	default
	vala_src_prepare
}

src_configure() {
	local emesonargs=(
		$(meson_feature doc man_pages)
	)
	meson_src_configure
}

src_install() {
	meson_src_install
}
